--- browser_eve.c	2006-11-16 03:56:00.000000000 -0500
+++ browser_eve.c	2014-12-27 01:26:08.000000000 -0500
@@ -58,4 +58,6 @@
 #endif
 
+#include <unistd.h>
+
 #include <sys/types.h>
 #include <sys/stat.h>
@@ -80,17 +82,19 @@
 #include "selection.h"
 #include "warn_box.h"
+#include "list_box.h"
+#include "mark_reg.h"
+#include "Smac/smacXcoral.h"
 
 #define S_DELAY 15000	  
 
 extern Browser br;
-extern char *b_name[];
+extern const char *b_name[];
 int flag_visit = False;
 
-FCT (static void, AddFiles, () );
-FCT (static void, SmacLibFiles, () );
-FCT (void, ButtonEdit, () );
+FCT (static void, AddFiles, (void) );
+FCT (static void, SmacLibFiles, (void) );
 FCT (static void, ButtonInVisitWindow, (BWin *bwin, XButtonEvent *ev) );
-FCT (static int, ClassSelect, (BWin *bwin) );
-FCT (static void, EditFile, (BWin *bwin, char *name) );
+FCT (static int, ClassSelect, (void) );
+FCT (static void, EditFile, (BWin *bwin, const char *name) );
 FCT (static int, FileSelect, (BWin *bwin) );
 FCT (static void, ManageFiles, (int op) );
@@ -101,13 +105,9 @@ FCT (static int, AttributeSelect, (BWin 
 FCT (static int, GlobalSelect, (BWin *bwin) );
 FCT (static void, RefreshBrowserWindow, (BWin *bwin) );
-FCT (void, RemoveFiles, (char *name) );
-FCT (void, SelectItem, (BWin *bwin, int x, int y, int i) );
-FCT (void, UpdateTitle, (char *name) );
-FCT (void, RefreshPpButton,() );
-FCT (static void, TitleVisit, (char *name) );
-FCT (static void, SmacLibFiles, () );
+FCT (static void, TitleVisit, (const char *name) );
+FCT (static void, SmacLibFiles, (void) );
 
 #if !HAVE_STRDUP
-extern FCT (char*, strdup, (char*) );
+extern FCT (char*, strdup, (const char*) );
 #endif
 
@@ -412,10 +412,9 @@ int ButtonBrowser ( ev )
 	    Display3D ( dpy, w, br.ts, br.bs, 1, 0 );
 	    if (br.mode->pp_flag) {
-	      FCT (extern char *, GetStringFromDB, (char *, int) );
-	      char * opt;
+	      const char * opt;
 	      
 	      if (br.mode->pp_options) {
 		InputStrSave(br.mode->pp_options, strlen(br.mode->pp_options));
-		InputStrPrevious(0);
+		InputStrPrevious();
 	      }
 	      if ((opt = GetStringFromDB("preproc. options ? ", 0)) == 0) {
@@ -440,5 +439,5 @@ int ButtonBrowser ( ev )
 	    char * class_name;
 	    
-	    class_name = (char *) GetCurrentLine ( br.tbw[W_CLASS].buf, &len);
+	    class_name = GetCurrentLine ( br.tbw[W_CLASS].buf, &len);
 	    class_name [len] = '\0';
 	    
@@ -571,5 +570,6 @@ static void ManageFiles ( op )
     
     if ( op == B_DEL ) {
-	char *del_filename, *tmp, *buf;
+	char *del_filename;
+	const char *tmp;
 	if ( br.tbw[W_FILES].select != 0 )  {
 	    HoleToLeft ( br.filebuf );
@@ -577,23 +577,18 @@ static void ManageFiles ( op )
 	      (void) MoveToLine ( br.filebuf, br.tbw[W_FILES].select - 1 );
 	    tmp = GetCurrentLine ( br.filebuf, &len  );
-	    *(tmp + len ) = '\0'; /* On vire le newline */
-	    del_filename =  (char *) malloc ( (unsigned) len + 2 );
-	    (void) strcpy ( del_filename, tmp );
-	    buf = (char *) malloc ( (unsigned) len + 64 );
-	    (void) sprintf ( buf, "Remove browser data for the selected file  [y/n] : "  );
-	    tmp = (char *) GetStringFromDB ( buf, False );
-	    if ( (tmp == 0) || (strncmp(tmp, "y", 1) == 0 )) 
+	    del_filename = malloc (len + 1);
+	    bcopy(tmp, del_filename, len);
+	    del_filename[len] = '\0'; /* On vire le newline */
+	    tmp = GetStringFromDB ("Remove browser data for the selected file  [y/n] : ", False);
+	    if (tmp == NULL || tmp[0] == 'y')
 	      RemoveFiles ( del_filename );
-	    else if ( strncmp ( tmp, "all",3) == 0 ) 
-	      RemoveFiles ( (char *) 0 );
-	    if ( del_filename != 0 )
-	      (void) free ( del_filename );
-	    if ( buf != 0 )
-	      (void) free ( buf );
+	    else if ( strncmp (tmp, "all",3) == 0 ) 
+	      RemoveFiles (NULL);
+	    (void) free ( del_filename );
 	}
 	else {
-	    tmp = (char *) GetStringFromDB ( "Remove all browser data [y/n] : ", True );
-	    if ( (tmp==0) || (strncmp(tmp, "y", 1)==0) || (strncmp(tmp, "all", 3)==0))
-	      RemoveFiles ((char *)0);
+	    tmp = GetStringFromDB ("Remove all browser data [y/n] : ", True );
+	    if (tmp == NULL || tmp[0] == 'y' || (strncmp(tmp, "all", 3) == 0))
+	      RemoveFiles (NULL);
 	}
     }
@@ -611,10 +606,10 @@ static void ManageFiles ( op )
 static void AddFiles ()
 {
-    char *s;
+    const char *s;
     struct stat st;
     
     (void) chdir ( br.dir );
     
-    s = (char *) SelectFileFromBox ( "Browser : Add Files" );
+    s = SelectFileFromBox ( "Browser : Add Files" );
     
     if ( (s != 0) && (strlen (s) != 0 ) && (*s != '\007') ) {
@@ -683,10 +678,7 @@ static void SmacLibFiles()
 */
 void RemoveFiles ( name )
-    char *name;
+    const char *name;
 {
-  char *tmp, *p;
-  int i, nbfiles;
-  int len;
-  
+
   if ( name != 0 ) {
     delete_file ( name );
@@ -722,9 +714,9 @@ void RemoveFiles ( name )
 */
 int GoodSuffix ( s )
-    char *s;
+    const char *s;
 {
-    char *end_name;
+    const char *end_name;
     
-    end_name = (char * ) strrchr ( (char *) s, '.' );
+    end_name = strrchr (s, '.');
     if ( end_name == 0 )
       return False;
@@ -819,5 +811,5 @@ void ButtonEdit ()
 {
     EdWin *ew;
-    char *filename;
+    const char *filename;
     extern EdWin *CreateWindow ();
     extern int _startup;
@@ -896,5 +888,5 @@ void SelectItem ( bwin, x, y, i )
     switch ( i ) {
     case W_CLASS:
-      if (ClassSelect(bwin)==True)
+      if (ClassSelect()==True)
 	object_flag = True;
       break;
@@ -939,13 +931,12 @@ void SelectItem ( bwin, x, y, i )
 **	Ouput :
 */
-static int ClassSelect ( bwin )
-    BWin *bwin;
+static int ClassSelect ()
 {
-    char  *class_name;
+    char *class_name;
     int len;
     Position *infos;
-    char **tmp;
+    StringTable tmp;
     
-    class_name = (char *) GetCurrentLine ( br.tbw[W_CLASS].buf, &len);
+    class_name = GetCurrentLine ( br.tbw[W_CLASS].buf, &len);
     class_name [len] = '\0';
     UpdateTitle ( class_name + CLASS_PLENGTH);
@@ -989,5 +980,5 @@ static int ClassSelect ( bwin )
     FirstPage ( br.tbw[W_ATTRIBUTES].text ); 
 
-    tmp = ( char **)  get_parents_list ( class_name, 0);
+    tmp = get_parents_list (class_name);
     KillText(dpy, br.tbw[W_PARENT].text);
     ExtractInfos ( tmp, W_PARENT );
@@ -1023,5 +1014,5 @@ static int ClassSelect ( bwin )
 */
 void UpdateTitle ( name )
-    char *name;
+    const char *name;
 {
 #ifdef WITH_BR_TITLE
@@ -1314,5 +1305,5 @@ static int ParentChildSelect ( bwin )
 static void EditFile ( bwin, name )
     BWin *bwin;
-    char *name;
+    const char *name;
 {
     TextCursorOff ( bwin -> text );
@@ -1345,5 +1336,5 @@ static void EditFile ( bwin, name )
 */
 static void TitleVisit ( name )
-    char *name;
+    const char *name;
 {
     if ( (name != 0) && strlen (name) != 0 ) {
@@ -1398,5 +1389,5 @@ static void ButtonInVisitWindow ( bwin, 
     }
     TextCursorOn ( bwin -> text );
-    selection_time = HandleSelection (bwin -> text, ev);
+    selection_time = HandleSelection (bwin -> text);
     if (bwin -> text -> selection -> select == True) {
       /* Il faut effacer la derniere selection si elle existe */
@@ -1700,3 +1691,2 @@ void BrowserClearSelection()
   }
 }
-
--- browser_eve.h	1997-03-18 08:32:58.000000000 -0500
+++ browser_eve.h	2014-12-27 01:22:00.000000000 -0500
@@ -48,11 +48,12 @@
 FCT (int , ExposeBrowser, (XEvent *ev) );
 FCT (int , ButtonBrowser, (XButtonEvent *ev) );
-FCT (int , ButtonBrowser, (XButtonEvent *ev) );
-FCT (int , GoodSuffix, (char *s) );
+FCT (void, ButtonEdit, (void) );
+FCT (int , GoodSuffix, (const char *s) );
 FCT (int , KeyPressInBrowser, (XKeyEvent *ev) );
-FCT (void , RefreshBrowserInfos, () );
-FCT (void, UpdateTitle, (char *name) );
+FCT (void, RefreshBrowserInfos, (void));
+FCT (void, UpdateTitle, (const char *name) );
 FCT (void, SelectItem, (BWin *bwin, int x, int y, int i) );
-FCT (void, RefreshPpButton,() );
+FCT (void, RefreshPpButton, (void));
+FCT (void, RemoveFiles, (const char *name) );
 
 #endif /* _BROWSER_EVE_H_ */
--- browser_init.c	2002-11-24 08:09:14.000000000 -0500
+++ browser_init.c	2014-12-27 03:08:31.000000000 -0500
@@ -99,5 +99,5 @@ extern Display  	*dpy;
 Browser		br;
 
-char *b_name[] = {
+const char *b_name[] = {
 	"Classes/Types",
  	"Parents",	"Children", "Methods",
@@ -106,5 +106,5 @@ char *b_name[] = {
 };
 
-FCT (static void, ParseDir, (char *path, char *currentdir) );
+FCT (static void, ParseDir, (const char *path, const char *currentdir) );
 FCT (static void, BrowserButtons, () );
 FCT (static void, BrowserTextWindows, () );
@@ -263,5 +263,5 @@ void InitBrowser ()
 **	Ouput :
 */
-char *GetBrowserModeName ()
+const char *GetBrowserModeName ()
 {
     return ( br.mode -> name );
@@ -276,5 +276,5 @@ char *GetBrowserModeName ()
 */
 static void ParseDir (path, currentdir )
-    char *path, *currentdir;
+    const char *path, *currentdir;
 {
     char *p, *dirlist, *buffer;
@@ -316,44 +316,4 @@ static void ParseDir (path, currentdir )
 }
 
-static void ParseDirold (path, currentdir )
-    char *path, *currentdir;
-{
-    char *p, *dirlist;
-    
-    dirlist  = (char *) malloc ( (unsigned) strlen (path) + 2 );
-    (void) strcpy ( dirlist, path );
-    p = dirlist;
-    
-    for (;;) {
-	while (*p && *p != ':') ++p;
-	if ((p - dirlist) == 0 ) {
-	    if ( *p == 0 ) /* liste vide */
-	      break;
-	}
-	else {
-	    if ( *p == 0 ) {
-		/* Une seule directorie ou derniere directorie a parser */
-		if ( strcmp ( dirlist, "." ) == 0 ) {
-		  LoadDir ( currentdir );
-		}
-		else 
-		  LoadDir ( dirlist );
-		break;
-	    } 
-	    else {
-		*p = 0;
-		if ( strcmp ( dirlist, "." ) == 0 )
-		  LoadDir ( currentdir );
-		else 
-		  LoadDir ( dirlist );
-	    }
-	}
-	p++;
-	if  (*p == 0 )
-	  break;
-	dirlist = p;      
-    }
-    (void) free ( p );
-}
 
 /*
@@ -366,5 +326,5 @@ static void ParseDirold (path, currentdi
 */
 void SetBrowserDir ( dirname )
-    char *dirname;
+    const char *dirname;
 {
     (void) strcpy ( br.dir, dirname );	
@@ -428,5 +388,5 @@ static void BrowserButtons ()
 */
 void LoadDir ( dir )
-    char *dir;
+    const char *dir;
 {
     DIR *dirp;
@@ -578,23 +538,22 @@ void SetInfos ()
 {
     if ( br.class_save != 0 )
-      (void) free ( (char *) br.class_save );
-    br.class_save = ( char **)  get_classes_list ();
+      free (br.class_save );
+    br.class_save = get_classes_list ();
     ExtractInfos ( br.class_save, W_CLASS );
     if (br.procs_save)
-      (void) free ((char *) br.procs_save);
-    br.procs_save = ( char **)  get_procs_list (0);
+      free (br.procs_save);
+    br.procs_save = get_procs_list();
     ExtractInfos (br.procs_save, W_PROC ); 
     
     if (br.globals_save)
-      (void) free ((char *) br.globals_save);
-    br.globals_save = ( char **)  get_globals_list (0);
+      free (br.globals_save);
+    br.globals_save = get_globals_list();
     ExtractInfos ( br.globals_save, W_GLOBALS ); 
     if ( br.files_save != 0 )
-      (void) free ( (char *) br.files_save );
-    br.files_save = (char **)  get_files_list ();
+      free (br.files_save);
+    br.files_save = get_files_list ();
     ExtractInfos ( br.files_save, W_FILES );
 }
 
-
 /*
 **	Function name : ExtractInfos
@@ -608,14 +567,14 @@ void SetInfos ()
 */
 void ExtractInfos ( names, type )
-    char **names;
+    char * const *names;
     int type;
 {
     int n;
-    char *infos_name;
+    const char *infos_name;
     BWin *bwin = &br.tbw[type];
     
-    if ( names != (char **) Null )  {
+    if (names != NULL)  {
 	ClearBuffer ( bwin -> buf );
-	while ( *names != (char *) Null ) {
+	while (*names != NULL) {
 	  if ((type == W_FILES) || (! HIDED(*names))) {
 	    switch ( type ) {
@@ -1027,5 +986,5 @@ static void ConfigMethod ()
     bwin -> x = B_INTER;
     bwin -> y = GetBWy(W_CLASS) + GetBWheight(W_CLASS) + B_INTER;
-      + br.button_height + ( 2 * B_INTER );
+    /* + br.button_height + ( 2 * B_INTER ); */
     bwin -> f_width = br.width - (3 * B_INTER) - GetBWwidth(W_FILES);
     bwin -> f_height = GetBWheight(W_FILES);
@@ -1335,3 +1294,3 @@ void RefreshBrowserControl ()
 	ConfigBrowser ( br.width, br.height );
     }
-}
+}
\ No newline at end of file
--- browser_init.h	2001-06-17 06:18:56.000000000 -0400
+++ browser_init.h	2014-12-27 01:02:55.000000000 -0500
@@ -134,22 +134,22 @@ typedef struct _Browser {
 
 
-FCT (void, InitBrowser, () );
-FCT (char *, GetBrowserModeName, () );
-FCT (void, SetBrowserDir, (char *) );
-
-FCT (void, LoadDir, (char *dir) );
-FCT (void, SetInfos, () );
-FCT (void, ExtractInfos, (char **names, int type) );
+FCT (void, InitBrowser, (void) );
+FCT (const char *, GetBrowserModeName, (void) );
+FCT (void, SetBrowserDir, (const char *) );
+
+FCT (void, LoadDir, (const char *dir) );
+FCT (void, SetInfos, (void) );
+FCT (void, ExtractInfos, (char * const *names, int type) );
 FCT (void, ConfigScroll, (BWin *bw) );
 
 FCT (void, ConfigBrowser, (int width, int height) );
 FCT (void, ConfigVisitWindow, (int width, int height) );
-FCT (void, DisplayBrowser, () );
-FCT (void, DisplayBrowserIfNeverMap,());
+FCT (void, DisplayBrowser, (void) );
+FCT (void, DisplayBrowserIfNeverMap, (void));
 
-FCT (void, UnmapBrowser, () );
+FCT (void, UnmapBrowser, (void) );
 FCT (void, SetBrowserMode, (Mode *mode) );
-FCT (void, RefreshBrowserControl, () );
-FCT (void, BrowserClearSelection, () );
+FCT (void, RefreshBrowserControl, (void) );
+FCT (void, BrowserClearSelection, (void) );
 
 #define GetBrowserFrame()	( br.frame )
--- browser_pars.c	2001-06-17 06:19:08.000000000 -0400
+++ browser_pars.c	2014-12-27 03:18:56.000000000 -0500
@@ -45,6 +45,9 @@
 #include <stdio.h>
 
+#include <X11/Xlib.h>
+
 #include "result_types.h"
 #include "file_dict.h"
+#include "parse.h"
 #include "proc_dict.h"
 #include "global_dict.h"
@@ -60,7 +63,6 @@ ClassRec* class_cache = Null;
 /*------------------------------------------------------------------------------
 */
-BrowserError add_proc_impl(proc_name, proc_type, impl_line,decl,hide)
-    char*      proc_name;
-    ProcType   proc_type;
+BrowserError add_proc_impl(proc_name, impl_line, decl, hide)
+    const char* proc_name;
     LineNumber impl_line;
     unsigned   decl;
@@ -69,5 +71,5 @@ BrowserError add_proc_impl(proc_name, pr
   ProcRec* current_proc;
   
-  current_proc = create_proc(proc_name, decl & STATIC_PROC, parsed_file);
+  current_proc = create_proc(proc_name, decl & STATIC_PROC, parsed_file->_name);
   if (current_proc != Null) {
     if (current_proc->_impl_file == Null) {
@@ -80,5 +82,5 @@ BrowserError add_proc_impl(proc_name, pr
     }
     else {
-      if ( OpVerbose () == True ) {
+      if (OpVerbose()) {
 	fprintf(stderr, "Browser :warning in %s line %d\n",
 		parsed_file->_name, impl_line);
@@ -97,5 +99,5 @@ BrowserError add_proc_impl(proc_name, pr
 */
 BrowserError add_global_impl(global_name, staticp, impl_line, hide)
-    char*      global_name;
+    const char*      global_name;
     int        staticp;
     LineNumber impl_line;
@@ -133,5 +135,5 @@ BrowserError add_global_impl(global_name
 */
 BrowserError add_class_decl(class_name, decl_line, decl, hide)
-    char*      class_name;
+    const char*      class_name;
     LineNumber decl_line;
     unsigned   decl;
@@ -203,6 +205,6 @@ static int inherits_itself(current_class
 
 BrowserError add_parent(class_name, parent_name, decl_line, scope)
-    char*      class_name;
-    char*      parent_name;
+    const char*      class_name;
+    const char*      parent_name;
     int        decl_line;
     ScopeType  scope; 
@@ -275,6 +277,6 @@ BrowserError add_parent(class_name, pare
 BrowserError add_method_decl(class_name, method_name, scope, decl, decl_line,
 			     hide)
-    char*      class_name; 
-    char*      method_name;
+    const char*      class_name; 
+    const char*      method_name;
     ScopeType  scope;
     int decl;
@@ -347,6 +349,6 @@ BrowserError add_method_decl(class_name,
 BrowserError add_method_impl(class_name, method_name, impl_line,
 			     hide)
-    char*      class_name;
-    char*      method_name;
+    const char*      class_name;
+    const char*      method_name;
     LineNumber impl_line;
     unsigned    hide;
@@ -410,6 +412,6 @@ BrowserError add_method_impl(class_name,
 BrowserError add_attribute_decl(class_name, attr_name, scope, decl, decl_line,
 				hide)
-    char*      class_name; 
-    char*      attr_name;
+    const char*      class_name; 
+    const char*      attr_name;
     ScopeType  scope;
     int	       decl;
--- browser_pars.h	1997-03-18 08:27:19.000000000 -0500
+++ browser_pars.h	2014-12-27 03:15:47.000000000 -0500
@@ -65,5 +65,5 @@ extern ClassRec* class_cache;
 */
 
-extern BrowserError add_file        (/* char*      file_name */);
+extern BrowserError add_file        (const char*   file_name);
 
 
@@ -73,42 +73,51 @@ extern BrowserError add_file        (/* 
 */
 
-extern BrowserError add_proc        (/* char*      proc_name,
+extern BrowserError add_proc        (const char*   proc_name,
                                         ProcType   proc_type,
                                         LineNumber impl_line,
-					unsigned   hide */);
+					unsigned   hide);
 
-extern BrowserError add_class       (/* char*      class_name,
+extern BrowserError add_class       (const char*   class_name,
                                         LineNumber decl_line,
-					unsigned   hide */);
+					unsigned   hide);
 
-extern BrowserError add_parent      (/* char*      class_name,
-                                        char*      parent_name,
+extern BrowserError add_parent      (const char*   class_name,
+                                        const char* parent_name,
                                         LineNumber decl_line,
-                                        ScopeType  scope */);
+                                        ScopeType  scope);
 
-extern BrowserError add_method_decl (/* char*      class_name, 
-                                        char*      method_name,
+extern BrowserError add_method_decl (const char*   class_name, 
+                                        const char* method_name,
                                         ScopeType  scope,
 					int decl,
                                         LineNumber decl_line,
-					unsigned   hide */);
+					unsigned   hide);
 
-extern BrowserError add_method_impl (/* char*      class_name,
-                                        char*      method_name,
+extern BrowserError add_method_impl (const char*   class_name,
+                                        const char* method_name,
                                         LineNumber impl_line,
-					unsigned   hide */);
+					unsigned   hide);
 
-extern BrowserError add_attribute_decl (/* char*      class_name, 
-                                        char*      attr_name,
+extern BrowserError add_attribute_decl (const char* class_name, 
+                                        const char* attr_name,
                                         ScopeType  scope,
 					int        decl,
                                         LineNumber decl_line,
-					unsigned   hide */);
+					unsigned   hide);
 
-extern BrowserError add_global_impl (/* char*	   global_name,
+extern BrowserError add_global_impl (const char*   global_name,
 				        int	   staticp,
 				        LineNumber impl_line,
-					unsigned   hide */);
+					unsigned   hide);
 
+extern BrowserError add_class_decl (const char*    global_name,
+					LineNumber decl_line,
+					unsigned   decl,
+					unsigned   hide);
+
+extern BrowserError add_proc_impl(const char *proc_name,
+					LineNumber impl_line,
+					unsigned   decl,
+					unsigned   hide);
 
 #endif    /*  BROWSERPARSE_H  */
--- browser_util.c	2001-06-17 06:19:08.000000000 -0400
+++ browser_util.c	2014-12-27 03:26:06.000000000 -0500
@@ -59,13 +59,11 @@
 /*------------------------------------------------------------------------------
 */
-char* xmalloc(size)
+void* xmalloc(size)
   int size;
 {
-  char* result;
+  void* result;
    
-  size = (size + 15) & 0xfffffff0;
-
-  result = (char *) malloc(size);
-  if (result == Null) {
+  result = malloc(size);
+  if (result == NULL) {
     fprintf(stderr, ">>>>>>  Browser Error\n");
     fprintf(stderr, "    >>  Memory exhausted\n");
@@ -78,8 +76,8 @@ char* xmalloc(size)
 */
 int sort_util(i,j)
-  char** i;
-  char** j;
+  const void *i;
+  const void *j;
 {
-  return(strcmp(*i, *j));
+  return(strcmp(*(const char **)i, *(const char **)j));
 }
 
--- browser_util.h	2002-11-24 14:01:02.000000000 -0500
+++ browser_util.h	2014-12-27 03:27:52.000000000 -0500
@@ -48,10 +48,10 @@
 */
 #define get_head_Rec(name, dict, dict_size, head)  {                   \
-  char*     current_char;                                              \
+  const char*     current_char;                                        \
   unsigned  g, h = 0;                                                  \
                                                                        \
   for (current_char = name; *current_char != '\0'; current_char++) {   \
     h = (h << 4) + (*current_char);                                    \
-    if (g = h & 0xf0000000) {                                          \
+    if ((g = h & 0xf0000000)) {                                          \
       h = h ^ (g >> 24);                                               \
       h = h ^ g;                                                       \
@@ -69,5 +69,5 @@
    char* cpy_name;                                                     \
                                                                        \
-   cpy_name       = ((char*) current) + sizeof(TypeRec) ;              \
+   cpy_name       = (char *)(current) + sizeof(TypeRec);               \
    strcpy(cpy_name, PREFIX);                                           \
    cpy_name      += PLENGTH;                                           \
@@ -138,19 +138,10 @@
 
 /*------------------------------------------------------------------------------
-//                    Quelques types d'usage divers
-//------------------------------------------------------------------------------
-*/
-#define False   ((0))
-#define True    ((!False))
-
-
-/*------------------------------------------------------------------------------
 //                    Quelques procedures d'usage divers
 //------------------------------------------------------------------------------
 */
-extern char* xmalloc     (/* int size  */);
+extern void* xmalloc     (int size);
 
-extern int sort_util     (/* char** i,
-                             char** j  */);
+extern int sort_util     (const void *, const void *);
 
 #endif    /*  BROWSERUTIL_H  */
